window.Gleam.initSearch([{"doc":"punycode","title":"punycode","content":"# Punycode\n\n[![Package Version](https://img.shields.io/hexpm/v/punycode)](https://hex.pm/packages/punycode)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/punycode/)\n\n## Quick start\n\n```gleam\n\nimport punycode\nimport gleam/io\n\n// will print elkjp-yua\ncase punycode.encode(&quot;elkjøp&quot;) {\n    Ok(encoded) -&gt; io.println(encoded) \n    Error(Nil) -&gt; io.println(&quot;Encoding failed&quot;)\n}\n\n// will print elkjøp\ncase punycode.decode(&quot;elkjp-yua&quot;) {\n    Ok(encoded) -&gt; io.println(encoded) \n    Error(Nil) -&gt; io.println(&quot;Encoding failed&quot;)\n}\n```\n\n```sh\ngleam test  # Run the tests\n```\n\n\n## Installation\n\nIf available on Hex this package can be added to your Gleam project:\n\n```sh\ngleam add punycode\n```\n\nand its documentation can be found at &lt;https://hexdocs.pm/punycode&gt;.\n","url":"index.html"},{"doc":"punycode","title":"decode","content":"pub fn decode(text: String) -&gt; Result(String, Nil)\n Decodes a punycode string into a utf-8 string\n will return Error(Nil) if the input is not a valid\n punycode encoded string\n\n # Examples\n\n   &gt; decode(&quot;80aafi6cg&quot;)  \n   Ok(&quot;правда&quot;)\n\nSynonyms:\npunycode.decode\npunycode decode","url":"punycode.html#decode"},{"doc":"punycode","title":"encode","content":"pub fn encode(text: String) -&gt; Result(String, Nil)\n Encodes a utf-8 string into a punycode encoded string\n\n # Examples\n   \n   &gt; encode(&quot;правда&quot;)  \n   Ok(&quot;80aafi6cg&quot;)\nSynonyms:\npunycode.encode\npunycode encode","url":"punycode.html#encode"},{"doc":"punycode","title":"punycode","content":" This module implements Punycode\n\n For information of the spec see [rfc3492](https://www.rfc-editor.org/rfc/rfc3492.txt)","url":"punycode.html"}]);